/*
 * natrange.java
 *
 * Created on 20. april 2004, 10:55
 *
 *Version 0.9
 *Af Martin Schultz - msh@adsltips.dk
 *
 */
public class natrange {
    
    public static void main(String[] args) {
        /*args
         *0 = type(tcp/udp)
         *1 = LokalIP
         *2 = port range start
         *3 = portrange end
         *4 = interface
         *5 delete?
         */
        int arraySize = args.length;
        if(arraySize < 5)
        {
            System.out.println("Error, natrange needs at least 4 arguments.");
            System.out.println("The normal syntax for runninng natrange is:\n");
            System.out.println("java natrange type LocalIP PortRangeStart PortRangeEnd Interface\n");
            System.out.println("Where type is TCP or UDP, localIp is the local ip of the machine");
            System.out.println("portRangeStart the start of the port range and PortRangeEnd is the end of the portrange");
            System.out.println("and Interface is the incoming interface on the router. A example is:\n");
            System.out.println("java natrange tcp 10.0.0.2 200 250 Dialer0\n");
            System.out.println("If you want to delete a range the syntax is:\n");
            System.out.println("java natrange tcp 10.0.0.2 200 250 Dialer0 del");
            
        }
        else
        {
           
            System.out.println("!natrange (c) 2004 Martin Schultz - msh@adsltips.dk ");
           
        String type = args[0];
        String lokalIP = args[1];
        String portRangeStart = args[2];
         String portRangeEnd = args[3];
        int intPortRangeStart = Integer.parseInt(portRangeStart);
        int intPortRangeEnd = Integer.parseInt(portRangeEnd);
        String iface = args[4];
        String natstart = "ip nat inside source static";
        if(arraySize > 5)
        {
      String delNat = "no";
            for (int i = intPortRangeStart; i < intPortRangeEnd+1; i++)
        {
            int port = i;
            System.out.println(delNat + " " + natstart + " " + type + " " + lokalIP + " " + port + " interface " + iface + " " + port);
        }
        }
        else
        {        
        for (int i = intPortRangeStart; i < intPortRangeEnd+1; i++)
        {
            int port = i;
        System.out.println(natstart + " " + type + " " + lokalIP + " " + port + " interface " + iface + " " + port);
        }
        }
    }
    }
    
}
